Get All Users

Gets all users within the enterprise.

See also: Get All Users (Including Attributes)

🚧

Rate Limits

Please be aware that this endpoint is subject to rate limits in order to maintain the stability of the application for all users. Here's what you need to know:

  1. If you are trying to fetch a single user, such as by using the email parameter or custom_attributes param to filter to a single identifying value, be sure to pass the limit=1 parameter. This will increase your rate limit substantially, since it isn't resource intensive to provide a single user's data.
  2. If you are fetching more than one user's data, you must use pagination (provide limit and page params to paginate, using a page size of 100 at the most), and you may make up to 10 requests to this endpoint within 60 seconds. The simplest way to do this is to just sleep 7 seconds between batches. This should enable you to fetch even a large userbase reasonably quickly without the danger of timeouts and rate limiting.
  3. Finally, if you are looking to react to a user's creation, consider whether using Webhooks might serve your needs better than polling.


Query Params
int32

Limit the number of results returned per page. See warnings above -- failure to limit can result in your request being blocked due to rate-limiting. Best practice is to always set to 1 when querying for one user, or less than 100 when doing batches.

int32

When used in conjunction with "limit," indicate what page (zero indexed) of results to return. The last "page" will have potentially fewer results than "limit," and pages beyond results will have return an empty array.

boolean
Defaults to false

Default behavior is to return users where isDeleted is "false". You can set this parameter to "true" to return users for which isDeleted is either "true" or "false".

string

Optional - To filter to a single email address. If a user with this email address exists in the system, then only that user will be in the return data. If no user exists with that email, then a blank list will be returned.

string

Optional - To filter by name, pass in a name to search, please note this is case sensitive

string

Optional - To filter to only users with a certain custom attribute value, pass an object with a single key-value pair where the key represents the custom attribute name and the value represents the custom attribute value. (ie. { "custom_attributes": { "isAdmin": true } })

Responses

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json